$(function() {
    $("input[type='checkbox']").click(function() {
        if ($(this).is(':checked')) {
            $(this).attr("checked", "checked");
            $(this).parent().removeClass("c_off").addClass("c_on");
        } else {
            $(this).removeAttr("checked");
            $(this).parent().removeClass("c_on").addClass(" c_off");
        }
    });
    $("input[type='radio']").click(function() {
        $("input[type='radio']").removeAttr("checked");
        $(this).attr("checked", "checked");
        $(this).parent().removeClass("r_off").addClass("r_on").siblings().removeClass("r_on").addClass("r_off");
    });
	
});

$(function(){
	if(InfoLogin=="-1" && InfoYouke=="1"){
		window.location.href="../login.aspx";
		return false;
	}

	CreateSelect("CategoryList", "txtInfoAreaID", $('#txtInfoAreaID').val(),  "--请选择--",  "area");
});
function CreateSelect(ID, InputID, CategoryId, DefaultStr, CategoryName) {
	$('#' + InputID).val(CategoryId);
	if ($('#' + ID).length == 0 || $('#' + InputID).length == 0) return;
	$.ajax({
		type: "get",
		url:  "/public/ajax.aspx?action=showselect", cache: false,
		data: "N=" + CategoryName + "&id=" + CategoryId+"&t="+escape(DefaultStr) ,
		success: function (Str) {
			$('#' + ID).append(Str);
			if (DefaultStr != '') {
				$('#' + ID + ' > select').prepend('<option value="0">' + DefaultStr + '</option>');
			}
			else
			{
				$('#' + InputID).val( $('#' + ID + ' > select:last').val() );
				CategoryId=$('#' + InputID).val();
		   }
			if ($('#' + ID + ' > select:last').val() != CategoryId) { $('#' + ID + ' > select:last').val(['0']) }
			$('#' + ID + ' > select').change(function () { ChangeSelect(this); });
		},
		error: function (XMLHttpRequest, textStatus, errorThrown) {
			global_obj.win_alert(XMLHttpRequest.responseText);
		}
	});
	function ChangeSelect(obj) {
		$(obj).nextAll('select').remove();
		if ($(obj).val() == '0') {
			$('#' + InputID).val($(obj).prev('select').val() || 0);
			return;
		}
		$('#' + InputID).val($(obj).val());
		$.ajax({
			type: "get",
			url:  "/public/ajax.aspx?action=showselect", cache: false,
			data: "N=" + CategoryName + "&id=" + $(obj).val(),
			success: function (Str) {
				if(Str!="")
				{
					$(obj).after(Str);
					if(DefaultStr!="")
					{
						$(obj).nextAll('select').prepend('<option value="0">' + DefaultStr + '</option>');
					}
					else
					{
						$('#' + InputID).val( $(obj).nextAll('select').val() );
						CategoryId=$('#' + InputID).val();
					}
                	if (CategoryId != $(obj).val()) { $('#' + ID + ' > select:last').val(CategoryId); }
					$(obj).nextAll('select').change(function () { ChangeSelect(this); });
				}
			}
		});
	}
}

$(document).ready(function(){global_obj.page_init()});
function del_img()
{
	$('.up-del-img').click(function(){
	var fname=$(this).prev().attr("src");
	var $this=$(this);
	$.ajax({url: "/public/ajax.aspx?action=delfile&f="+escape(fname),cache: false,	success:function(data)
		  {
			$this.prev().attr("src","");
			$this.parent().parent().remove();
			var img = "";
			$(".up-img img").each(function(){
				if(img!="")
				{
					img +=",";
				}
				else
				{
					$("#AntFirstImages").val($(this).attr("src"));	
				}
				img +=$(this).attr("src");
			})
			$(".up-img li").first().find('.fm').show();
			$("#AntAllImages").val(img);
		  }
		});
	 })
}
$(function(){
	$("#memberinfosubmit").click(function(){
		if(global_obj.check_form($('*[notnull]'))){return false};
		$(this).attr('disabled', true).val('提交中...');
		var x=document.getElementById("infoaddForm");
		x.action="publishs.aspx?action=AddInfo&from="+window.location.href;	
		x.submit();
	});
	
	$("#addfile").on('change', function () {
            var f = $(this).get(0).files[0];
			var html='<li><div><img src="/template/ant/wap/n/images/downloading.gif" /><a class="c up-del-img"></a><span class="fm">封面</span></div></li>';
			$(html).appendTo(".up-img");
			
			var form = document.getElementById('myform');
			var formData = new FormData(form);
			formData.append('Filedata', f);
			var xhr = new XMLHttpRequest();
			xhr.addEventListener("load", uploadComplete, false);
			xhr.addEventListener("error", uploadFailed, false);
			xhr.open('POST', form.action);
		　　xhr.send(formData);
        });
	function uploadComplete(evt)
	{
		var data=evt.target.responseText.split(',')[1];
		if(data.indexOf("/")>-1)
		{
			var img = $("#AntAllImages").val();
			if(img !="")
			{
				$("#AntAllImages").val(img+","+data);
			}
			else
			{
				$("#AntAllImages").val(data);
				$("#AntFirstImages").val(data);	
			}
			$(".up-img").find('.fm').hide();
			$("#addfile").val('');
			$('.up-img-loading').remove();
			$(".up-img li").last().find('img').attr('src',data);
			$(".up-img li").last().find('.c').show();
			$(".up-img li").first().find('.fm').show();
			del_img();
		}
		else
		{
			win_alert(data);
			$('.up-img-loading').remove();
		}
	}
	function uploadFailed()
	{
		win_alert("上传失败！请重试！");	
	}
	
});